/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cd.hologram.erecettesvg.sql;

/**
 *
 * @author gauthier.muata
 */
public class SQLQueryIdentification {

    public static String SELECT_FORMES_JURIDIQUES = "SELECT * FROM T_FORME_JURIDIQUE WITH (READPAST) WHERE ETAT = 1 ORDER BY INTITULE";

    public static String SELECT_FONCTION = "SELECT * FROM T_FONCTION WITH (READPAST) WHERE ETAT = 1 ORDER BY INTITULE ";
    public static String SELECT_GROUPE = "SELECT * FROM T_GROUP_USER ORDER BY ETAT DESC";
    public static String SELECT_DROITS = "SELECT d.* FROM T_DROIT d WHERE d.CODE in (SELECT gu.DROITS FROM T_GU_ACCES gu "
            + "WHERE GROUPE = ?1 AND ETAT = 1 ) and d.ETAT = 1 Order by d.INTITULE";
    public static String SELECT_AUTRES_DROITS = "SELECT d.* FROM T_DROIT d WHERE d.CODE not in "
            + "( SELECT gu.DROITS FROM T_GU_ACCES gu WHERE GROUPE = ?1 AND ETAT = 1 ) and d.ETAT = 1 Order by d.INTITULE";
    public static String SELECT_SITE = "SELECT * FROM T_SITE WITH (READPAST) WHERE ETAT = 1 and code <> '*' ORDER BY INTITULE";
    
    public static String SELECT_SITE_PEAGE = "SELECT * FROM T_SITE WITH (READPAST) WHERE ETAT = 1 AND PEAGE = 1 and code <> '*' ORDER BY INTITULE";
    
    public static String SELECT_DISTRINCT = "SELECT * FROM T_ENTITE_ADMINISTRATIVE WITH (READPAST) WHERE TYPE_ENTITE = 5 "
            + " AND ETAT = 1 and entite_mere = '00000000000005612016' order by intitule";
    public static String SELECT_SERVICE = "SELECT * FROM T_SERVICE WITH(READPAST) WHERE ETAT = 1 and code not in ('00050','*') AND SERVICE IS NOT NULL order by intitule";

    public static String F_NEW_CONDUCTEUR_VEHICULE2 = "F_NEW_CONDUCTEUR_VEHICULE";

    public static String F_NEW_CARTE = ":EXEC F_NEW_CARTE ?1,?2,?3,?4,?5,?6,?7";

    public static String SELECT_SINGLE_GROUPE = "SELECT * FROM T_GROUP_USER WHERE ID = ?1 ";
    public static String SELECT_AGENTS_BY_GROUPE = "SELECT a.* FROM T_AGENT a WHERE a.CODE in (SELECT gu.FK_AGENT FROM T_AGENT_GU gu WHERE gu.FK_GU = ?1 AND ETAT = 1 ) and a.ETAT = 1 Order by a.NOM ASC";

    public static String UPDATE_ACTIVER_GROUPE = "UPDATE T_GROUP_USER SET ETAT = 1 WHERE ID = ?1";
    public static String UPDATE_DESACTIVER_GROUPE = "UPDATE T_GROUP_USER SET ETAT = 0 WHERE ID = ?1";
    public static String COUNT_ROW_MEMBER_BY_GROUPE = "SELECT COUNT(ID) FROM T_AGENT_GU WHERE FK_GU = ?1";

    public static String INSERT_GROUPE_USER = ":INSERT INTO T_GU_ACCES(GROUPE, DROITS, AGENT_CREAT, DATE_CREAT, ETAT) "
            + "VALUES(?1, ?2, ?3, ?4, 1)";

    public static String SELECT_UA = "SELECT * FROM T_UA WIDTH(READPAST) WHERE ETAT = 1 ORDER BY INTITULE";

    public static String SELECT_COMPLEMENTS_FORME = "SELECT * FROM T_COMPLEMENT_FORME WITH(READPAST) "
            + " WHERE FORME_JURIDIQUE = ?1 AND ETAT = 1";

    public static String SELECT_VALEURS_PREDEFINIES = "SELECT * FROM T_VALEUR_PREDEFINIE WIDTH(READPAST) "
            + " WHERE FK_TYPE_COMPLEMENT = ?1 AND ETAT = 1";

    public static String SELECT_ADRESSE_BY_AVENUE_AND_NUMERO = "SELECT * FROM T_ADRESSE WITH(READPAST) "
            + " WHERE AVENUE = ?1 AND NUMERO = ?2";

    public static String SELECT_DEFAULT_ADRESSE_BY_PERSON = "SELECT * FROM T_ADRESSE_PERSONNE WITH(READPAST) "
            + " WHERE PERSONNE = ?1 AND PAR_DEFAUT = 1 AND ETAT = 1";

    public static String SELECT_ENTITE_ADMINISTRATIVE_BY_CODE = "SELECT * FROM T_ENTITE_ADMINISTRATIVE "
            + " WIDTH(READPAST) WHERE CODE = ?1 AND ETAT = 1";
    
    public static String SELECT_ENTITE_ADMINISTRATIVE_BY_CODE_V2 = "SELECT * FROM T_ENTITE_ADMINISTRATIVE "
            + " WIDTH(READPAST) WHERE CODE = ?1";
    
    public static String SELECT_ENTITE_ADMINISTRATIVE_BY_MERE= "SELECT * FROM T_ENTITE_ADMINISTRATIVE "
            + " WIDTH(READPAST) WHERE ENTITE_MERE = ?1 AND ETAT = 1";

    public static String SELECT_ENTITES_ADMINISTRATIVE = "SELECT * FROM T_ENTITE_ADMINISTRATIVE "
            + " WITH (READPAST) WHERE TYPE_ENTITE = 1 AND INTITULE LIKE ?1 AND ETAT = 1";

    public static String SELECT_PERSONNES_BY_NAME = "SELECT * FROM T_PERSONNE WITH(READPAST) WHERE "
            + "( NOM LIKE ?1 OR POSTNOM LIKE ?1 OR PRENOMS LIKE ?1) AND ETAT = 1 ";

    public static String SELECT_PERSONNE_BY_NIF = "SELECT * FROM T_PERSONNE WITH(READPAST) WHERE NIF = ?1 AND ETAT = 1";

    public static String SELECT_PERSONNE_BY_CODE = "SELECT * FROM T_PERSONNE WITH(READPAST) WHERE CODE = ?1 AND ETAT = 1";

    public static String INSERT_ADRESSE_PERSONNE = "";

    public static String F_CREATE_PERSONNE = "F_CREATE_PERSONNE";
    public static String F_UPDATE_PERSONNE_WEB = "F_UPDATE_PERSONNE_WEB";

    public static String F_NEW_PERSONNE_COMPLEMENT = ":EXEC F_NEW_PERSONNE_COMPLEMENT ?1,?2,?3,?4";
    public static String F_UPDATE_PERSONNE_COMPLEMENT = ":EXEC F_UPDATE_PERSONNE_COMPLEMENT_WEB ?1,?2";
    public static String ADD_ADRESSE_WEB = ":EXEC ADD_ADRESSE_WEB ?1,?2,?3,?4,?5,?6,?7,?8,?9,?10,?11,?12,?13,?14";
    public static String F_CREATE_LOGIN_WEB = ":EXEC F_CREATE_LOGIN_WEB ?1,?2,?3,?4,?5,?6";
    public static String F_UPDATE_LOGIN_WEB = ":EXEC F_UPDATE_LOGIN_WEB ?1,?2,?3";

    public static String DESACTIVER_LOGIN_WEB = ":UPDATE T_LOGIN_WEB SET ETAT = 0 WHERE FK_PERSONNE = ?1";

    public static String F_NEW_FONCTION = "EXEC F_NEW_FONCTION ?1";

    public static String EDIT_FONCTION = "UPDATE T_FONCTION SET INTITULE = ?1 WHERE CODE = ?2";
    public static String DESACTIVER_FONCTION = "UPDATE T_FONCTION SET ETAT = 0 WHERE CODE = ?1";
    public static String ACTIVER_FONCTION = "UPDATE T_FONCTION SET ETAT = 1 WHERE CODE = ?1";

    public static String AJOUT_GROUPE = "INSERT INTO T_GROUP_USER(INTITULE, AGENT_CREAT, DATE_CREAT, AGENT_MAJ, DATE_MAJ, ETAT, DESCRIPTION) "
            + "VALUES(?1, ?2, ?3, NULL, NULL, ?4, ?5)";

    public static String EDIT_GROUPE = "UPDATE T_GROUP_USER SET INTITULE = ?1, AGENT_MAJ = ?2, DATE_MAJ = ?3, DESCRIPTION = ?4 WHERE ID = ?5";

    public static String DISABLED_PERSONNE = "UPDATE T_PERSONNE SET ETAT = 0 WHERE CODE = ?1";
    public static String DISABLED_ADRESSE_PERSONNE = "UPDATE T_ADRESSE_PERSONNE SET ETAT = 0 WHERE CODE = ?1";
    public static String SET_DEFAULT_ADRESSE_PERSONNE = "UPDATE T_PERSONNE SET ETAT = 0 WHERE CODE = ?1";

    public static String SELECT_DEFAULT_ADRESS_BY_PERSONNE = "SELECT a.* FROM T_ADRESSE a WHERE a.ID IN "
            + "(SELECT DISTINCT ADRESSE FROM T_ADRESSE_PERSONNE WHERE PERSONNE = ?1 AND PAR_DEFAUT = 1 "
            + " AND ETAT = 1) AND a.ETAT = 1";

    public static String SELECT_ASSUJETTI_BY_SERVICE = "SELECT DISTINCT P.* FROM T_PERSONNE P WITH (READPAST) "
            + " INNER JOIN T_AGENT AG WITH (READPAST) ON AG.CODE = P.AGENT_CREAT  "
            + " INNER JOIN T_SERVICE SER WITH (READPAST) ON SER.CODE= AG.SERVICE WHERE P.ETAT = 1 "
            + " AND ( P.NOM LIKE ?1 OR P.POSTNOM LIKE ?1 OR P.PRENOMS LIKE ?1) %s %s";

    public static String SELECT_ASSUJETTI_BY_TAXE = " SELECT DISTINCT P.* FROM T_PERSONNE P WITH (READPAST) "
            + " INNER JOIN T_NOTE_CALCUL NC WITH (READPAST) ON NC.PERSONNE = P.CODE "
            + " INNER JOIN T_AGENT AG WITH (READPAST) ON AG.CODE = NC.AGENT_CREAT "
            + " INNER JOIN T_SERVICE SER WITH (READPAST) ON SER.CODE = AG.SERVICE WHERE P.ETAT = 1 "
            + " AND ( P.NOM LIKE ?1 OR P.POSTNOM LIKE ?1 OR P.PRENOMS LIKE ?1) %s %s";

    public static String SELECT_ASSUJETTI_BY_ASSUJETIS = " SELECT DISTINCT P.* FROM T_PERSONNE P "
            + " INNER JOIN T_NOTE_CALCUL NC ON NC.PERSONNE =P .CODE "
            + " INNER JOIN T_DETAILS_NC DNC ON  DNC.NOTE_CALCUL = NC.NUMERO "
            + " INNER JOIN T_ARTICLE_BUDGETAIRE a ON a.CODE = DNC.ARTICLE_BUDGETAIRE "
            + " INNER JOIN T_SERVICE SER WITH (READPAST) ON SER.CODE = NC.SERVICE WHERE P.ETAT = 1 "
            + " AND ( P.NOM LIKE ?1 OR P.POSTNOM LIKE ?1 OR P.PRENOMS LIKE ?1) %s %s ORDER BY P.NOM";

    public static String SELECT_ADRESSES_PERSONNE_BY_PERSONNE = "SELECT * FROM T_ADRESSE_PERSONNE "
            + " WHERE PERSONNE = ?1 AND ETAT = 1";

    public static String SELECT_DEFAUT_ADRESSE_PERSONNE_BY_PERSONNE = "SELECT * FROM T_ADRESSE_PERSONNE WITH (READPAST) "
            + " WHERE PERSONNE = ?1 AND PAR_DEFAUT = 1";

    public static String SELECT_LOGINWEB_BY_PERSONNE = "SELECT * FROM T_LOGIN_WEB WITH (READPAST) "
            + " WHERE FK_PERSONNE = ?1";

    public static String SELECT_LOGINWEB_BY_TELEPHONE_EMAIL = "SELECT * FROM T_LOGIN_WEB WITH (READPAST) "
            + " WHERE MAIL = ?1 OR TELEPHONE = ?2";

    public static String CHECK_LOGIN = "SELECT * FROM  T_AGENT WITH (READPAST) WHERE  LOGIN = ?1";

    public static String NEW_AGENT = ":EXEC F_NEW_AGENT_V2 ?1,?2,?3,?4,?5,?6,?7,?8,?9,?10,?11,?12,?13";

    public static String F_CREATE_AGENT = "F_NEW_AGENT_WEB";

    public static String F_UPDATE_AGENT_WEB = "F_UPDATE_AGEN_WEB";

    public static String SELECT_PROVINCE = "SELECT * FROM T_ENTITE_ADMINISTRATIVE WITH(READPAST) WHERE TYPE_ENTITE = 6 AND ETAT = 1";

    public static String SQL_QUERY_LIST_GESTIONNAIRE_WITH_LIKE = " AND (a.NOM LIKE ?1 OR a.PRENOMS LIKE ?1) ORDER BY a.NOM,a.PRENOMS";

    public static String SELECT_MASTER_LIST_GESTIONNAIRE_BY_CRITERION = "SELECT a.CODE,a.NOM,a.PRENOMS,a.FONCTION,"
            + " a.SERVICE,a.MATRICULE ,a.DISTRICT,a.GRADE,a.SITE FROM T_AGENT a WITH (READPAST)"
            + " WHERE a.ETAT = 1 %s";

    public static String AFFECTER_ASSUJETTIS = ":INSERT INTO T_GESTIONNAIRE(AGENT,ASSUJETTI,DATE_CREAT,ETAT) "
            + " VALUES (?1, ?2, ?3, ?4)";

    public static String DESAFFECTER_ASSUJETTIS = ":DELETE FROM T_GESTIONNAIRE WHERE AGENT = ?1 AND ASSUJETTI= ?2 ";

    public static String SELECT_ASSUJETTI_BY_NAME = "SELECT P.* FROM T_PERSONNE P WITH(READPAST) WHERE "
            + "( P.NOM LIKE ?1 OR P.POSTNOM LIKE ?1 OR P.PRENOMS LIKE ?1) AND P.ETAT = 1 "
            + " AND P.CODE NOT IN (SELECT G.ASSUJETTI FROM T_GESTIONNAIRE G WITH (READPAST) WHERE G.ETAT = 1)";

    public static String SELECT_ASSUJETTI_BY_NIF = "SELECT P.* FROM T_PERSONNE P WIDTH(READPAST) "
            + "WHERE P.NIF = ?1 AND P.ETAT = 1 AND P.CODE NOT IN "
            + " (SELECT G.ASSUJETTI FROM T_GESTIONNAIRE G WITH (READPAST) WHERE G.ETAT = 1)";

    public static String SELECT_ASSUJETTI_BY_CODE = "SELECT P.* FROM T_PERSONNE P WIDTH(READPAST) "
            + " WHERE P.CODE = ?1 AND P.ETAT = 1 AND P.CODE NOT IN "
            + "(SELECT G.ASSUJETTI FROM T_GESTIONNAIRE G WITH (READPAST) WHERE G.ETAT = 1)";

    public static String SELECT_ASSUJETTI_BY_GESTIONNAIRE = "SELECT P.* FROM T_PERSONNE P WITH (READPAST) WHERE "
            + "P.CODE IN (SELECT G.ASSUJETTI FROM T_GESTIONNAIRE G WITH (READPAST)"
            + " WHERE G.ETAT = 1 AND G.AGENT = ?1)";

    public static String SELECT_USER_BY_NAME = "SELECT * FROM T_AGENT WITH(READPAST) WHERE "
            + "( NOM LIKE ?1 OR PRENOMS LIKE ?1) AND ETAT = 1 ";

    public static String SELECT_USER_BY_NAME_ADMIN_BANK = "SELECT * FROM T_AGENT WITH(READPAST) WHERE "
            + "( NOM LIKE ?1 OR PRENOMS LIKE ?1) %s AND ETAT = 1 ";

    public static String SELECT_USER_CREAT_BANK = " AND AGENT_CREAT = 1? ";

    public static String SELECT_ASSUJETTIS_VALIDER_BY_NAME = "SELECT * FROM T_PERSONNE WITH(READPAST) WHERE "
            + "( NOM LIKE ?1 OR POSTNOM LIKE ?1 OR PRENOMS LIKE ?1) AND AGENT_CREAT = 37 AND ETAT = 2 ";

    public static String SELECT_ASSUJETTIS_VALIDER_BY_CODE = "SELECT * FROM T_PERSONNE WITH(READPAST) WHERE CODE = ?1 AND AGENT_CREAT = 37 AND ETAT = 2";

    public static String SELECT_ASSUJETTIS_VALIDER_BY_NIF = "SELECT * FROM T_PERSONNE WITH(READPAST) WHERE NIF = ?1 AND AGENT_CREAT = 37 AND ETAT = 2";

    public static String VALIDER_ASSUJETTIS = "UPDATE T_PERSONNE SET ETAT = 1 WHERE CODE = ?1";

    public static String UPDATE_PASSWORD_LOGIN_WEB = "UPDATE T_LOGIN_WEB SET PASSWORD = ?1 WHERE FK_PERSONNE = ?2";

    public static String SELECT_USER_BY_FONCTION = "SELECT * FROM T_AGENT A WITH(READPAST) WHERE "
            + " A.FONCTION IN(SELECT F.CODE FROM T_FONCTION F WITH (READPAST) "
            + " WHERE F.INTITULE = ?1 AND F.ETAT = 1) AND A.ETAT = 1";

    public static String SELECT_USER_BY_SEARCHAvANCED_ALL_FONCTION = "SELECT * FROM T_AGENT A WITH(READPAST) WHERE"
            + " DBO.FDATE(A.DATE_CREAT) BETWEEN ?1 AND ?2 "
            + " AND A.ETAT = 1";

    public static String SELECT_USER_BY_SEARCHAvANCED = "SELECT * FROM T_AGENT A WITH(READPAST) WHERE "
            + " A.FONCTION IN(SELECT F.CODE FROM T_FONCTION F WITH (READPAST) "
            + " WHERE F.INTITULE = ?1 AND F.ETAT = 1) AND DBO.FDATE(A.DATE_CREAT) BETWEEN ?2 AND ?3 "
            + " AND A.ETAT = 1";

    public static String SELECT_USER_BY_SEARCHAvANCED_ADMIN_BANK_ALL_FONCTION = "SELECT * FROM T_AGENT A WITH(READPAST) WHERE"
            + " DBO.FDATE(A.DATE_CREAT) BETWEEN ?1 AND ?2"
            + " AND AGENT_CREAT = ?3 AND A.ETAT = 1";

    public static String SELECT_USER_BY_SEARCHAvANCED_ADMIN_BANK = "SELECT * FROM T_AGENT A WITH(READPAST) WHERE "
            + " A.FONCTION IN(SELECT F.CODE FROM T_FONCTION F WITH (READPAST) "
            + " WHERE F.INTITULE = ?1 AND F.ETAT = 1) AND DBO.FDATE(A.DATE_CREAT) BETWEEN ?2 AND ?3"
            + " AND AGENT_CREAT = ?4 AND A.ETAT = 1";

    public static String SELECT_USER_BY_FONCTION_ADMIN_BANK = "SELECT * FROM T_AGENT A WITH(READPAST) WHERE "
            + " A.FONCTION IN(SELECT F.CODE FROM T_FONCTION F WITH (READPAST) "
            + " WHERE F.INTITULE = ?1 AND F.ETAT = 1) AND AGENT_CREAT = ?2 AND A.ETAT = 1";

    public static String SELECT_DISTRINCT_BY_CODE = "SELECT * FROM T_ENTITE_ADMINISTRATIVE WIDTH(READPAST) "
            + "WHERE TYPE_ENTITE = 5 AND ETAT = 1 AND CODE = ?1";

    public static String SELECT_USER_BY_CODE = "SELECT * FROM T_AGENT A WITH(READPAST) WHERE "
            + " A.CODE = ?1  AND A.ETAT = 1";

    public static String DISABLED_USER = "UPDATE T_AGENT SET ETAT = 0 WHERE CODE = ?1";

    public static String SELECT_DROIT_BY_CODE = "SELECT D.CODE, D.INTITULE, D.FK_MODULE FROM T_DROIT D WITH(READPAST) "
            + "WHERE D.CODE IN (SELECT A.DROIT FROM T_ACCES_USER A WITH(READPAST)"
            + " WHERE A.AGENT = ?1 AND A.ETAT = 1 ) AND D.ETAT = 1 AND D.CODE = ?2";

    public static String AFFECTER_DROIT = ":INSERT INTO T_ACCES_USER (AGENT,DROIT,AGENT_CREAT,DATE_CREAT,ETAT) "
            + " VALUES (?1, ?2, ?3, GETDATE(), 1)";

    public static String DESAFFECTER_DROIT = ":DELETE T_ACCES_USER WHERE DROIT = ?1 AND AGENT = ?2";

    public static String SELECT_DROIT_ACCES_USER_BY_USER = "SELECT DROIT FROM T_ACCES_USER A WITH(READPAST) WHERE "
            + " A.DROIT IN( ?1 ) AND AGENT = ?2 AND A.ETAT = 1";

    public static String LOAD_DROIT = "SELECT D.* FROM T_DROIT D WITH(READPAST) WHERE D.ETAT = 1";
    
    public static String LOAD_DROIT_V2 = "SELECT D.* FROM T_DROIT D WITH (READPAST) JOIN T_MODULE M WITH (READPAST) ON D.FK_MODULE = M.CODE WHERE D.ETAT = 1 ORDER BY M.INTITULE";

    public static String LOAD_MODULE = "SELECT M.* FROM T_MODULE M WITH (READPAST) ORDER BY M.INTITULE" ;

    public static String NEW_DROIT = ":EXEC F_NEW_DROIT ?1,?2,?3,?4,?5,?6,?7,?8";

    public static String SELECT_ENTITES_ADMINISTRATIVE_BY_PROVINCE = "SELECT * FROM T_ENTITE_ADMINISTRATIVE "
            + " WIDTH(READPAST) WHERE TYPE_ENTITE = 1 AND INTITULE LIKE ?1 AND ETAT = 1";
    
    public static String SELECT_PERSONNE_BY_NTD = "SELECT * FROM T_PERSONNE WITH(READPAST) WHERE CODE = "
            + " (SELECT FK_PERSONNE FROM T_LOGIN_WEB WITH(READPAST) WHERE USERNAME = ?1) AND ETAT = 1";
    
    public static String SELECT_PERSONNE_BY_TELEPHONE = "SELECT * FROM T_PERSONNE WITH(READPAST) WHERE CODE = "
            + " (SELECT FK_PERSONNE FROM T_LOGIN_WEB WITH(READPAST) WHERE TELEPHONE = ?1) AND ETAT = 1";
    
    public static String SELECT_DIVISION = "SELECT * FROM T_DIVISION WHERE ETAT = 1 ORDER BY INTITULE ASC";

}
